%global debug_package %{nil}

Name: python-jsonpatch
Epoch: 100
Version: 1.32
Release: 1%{?dist}
BuildArch: noarch
Summary: Apply JSON-Patches (RFC 6902)
License: BSD-3-Clause
URL: https://github.com/stefankoegl/python-json-patch/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
Library to apply JSON Patches according to RFC 6902

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-jsonpatch
Summary: Apply JSON-Patches (RFC 6902)
Requires: python3
Requires: python3-jsonpointer >= 1.9
Provides: python3-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python3dist(jsonpatch) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jsonpatch) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jsonpatch) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-jsonpatch
Library to apply JSON Patches according to RFC 6902

%files -n python%{python3_version_nodots}-jsonpatch
%license COPYING
%{_bindir}/*
%{python3_sitelib}/*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-jsonpatch
Summary: Apply JSON-Patches (RFC 6902)
Requires: python3
Requires: python3-jsonpointer >= 1.9
Provides: python3-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python3dist(jsonpatch) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(jsonpatch) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-jsonpatch = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(jsonpatch) = %{epoch}:%{version}-%{release}

%description -n python3-jsonpatch
Library to apply JSON Patches according to RFC 6902

%files -n python3-jsonpatch
%license COPYING
%{_bindir}/*
%{python3_sitelib}/*
%endif

%changelog
